## org.apache.batik.dom.svg
Class SVGOMEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.svg.SVGOMEvent

All Implemented Interfaces:
  org.w3c.dom.events.Event, SVGEvent

public class SVGOMEvent
extends AbstractEvent
implements SVGEvent

This class provides an implementation of the SVGEvent interface.

Field Summary

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`cancelable, currentTarget, eventPhase, isBubbling, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`SVGOMEvent()`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getEventPreventDefault, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### SVGOMEvent

    public SVGOMEvent()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.